package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 保存的表达式录入记录
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-12-03
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_EXPRESSION_RECORD")
@Api("表达式记录")
public class ExpressionRecord extends BaseAPS {
    @Column(name="BEAN_NAME")
    @ApiParam(value ="表名")
    private String beanName;

    @Column(name="FIELD_NAME")
    @ApiParam(value ="字段名")
    private String fieldName;

    @Column(name="NAME")
    @ApiParam(value ="名称")
    private String name;

    @Column(name="EXPRESSION")
    @ApiParam(value ="表达式")
    private String expression;

    @Column(name="REMARK")
    @ApiParam(value ="备注")
    private String remark;
}
