package cn.estsh.i3plus.pojo.mes.pcn.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\24 22:05
 * @Modify:
 **/
@Data
public class MesProdBindRecordModel {
    private Long id;
    private String itemPartNo;
    private String itemPartName;
    private Double qty;
    private Integer isValid;
    private Integer isDeleted;
    private String organizeCode;
    private Integer isFeed;
    private String workCenterCode;
    private String workCellCode;
    private String kpSn;
    @ApiParam("拆解数")
    private Double dismantleQty;

    @ApiParam("产品物料编码")
    private String parentPartNo;
    @ApiParam("产品物料名称")
    private String parentPartName;
    @ApiParam("合格数")
    private Integer okQty;
    @ApiParam("缺失数")
    private Integer missQty;
    @ApiParam("报废数")
    private Integer scrapQty;
    @ApiParam("创建时间")
    private String createUser;
    @ApiParam("创建时间")
    private String createDatetime;
    @ApiParam("修改人")
    private String modifyUser;
    @ApiParam("修改时间")
    private String modifyDatetime;
    @ApiParam("产品条码")
    private String serialNumber;
    @ApiParam("关联批次")
    private String lotNo;
    public MesProdBindRecordModel() {

    }

    public MesProdBindRecordModel(Long id, String itemPartNo, String itemPartName, Integer isValid, Integer isDeleted, String organizeCode, Integer isFeed, String workCenterCode, String workCellCode, String kpSn, String parentPartNo, String parentPartName, Double dismantleQty, String lotNo) {
        this.id = id;
        this.itemPartNo = itemPartNo;
        this.itemPartName = itemPartName;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.organizeCode = organizeCode;
        this.isFeed = isFeed;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.kpSn = kpSn;
        this.parentPartNo = parentPartNo;
        this.parentPartName = parentPartName;
        this.dismantleQty = dismantleQty;
        this.lotNo = lotNo;
    }

    public MesProdBindRecordModel(Long id, String itemPartNo, String itemPartName, Double qty, Integer isValid, Integer isDeleted, String organizeCode, Integer isFeed, String workCenterCode, String workCellCode, String kpSn, String parentPartNo, String parentPartName, String lotNo) {
        this.id = id;
        this.itemPartNo = itemPartNo;
        this.itemPartName = itemPartName;
        this.qty = qty;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.organizeCode = organizeCode;
        this.isFeed = isFeed;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.kpSn = kpSn;
        this.parentPartNo = parentPartNo;
        this.parentPartName = parentPartName;
        this.lotNo = lotNo;
    }

    public MesProdBindRecordModel(Long id, String itemPartNo, String itemPartName, Double qty, Integer isValid, Integer isDeleted, String organizeCode, Integer isFeed, String workCenterCode, String workCellCode, String kpSn, String parentPartNo, String parentPartName, String createUser, String createDatetime, String modifyUser, String modifyDatetime, String serialNumber, String lotNo) {
        this.id = id;
        this.itemPartNo = itemPartNo;
        this.itemPartName = itemPartName;
        this.qty = qty;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.organizeCode = organizeCode;
        this.isFeed = isFeed;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.kpSn = kpSn;
        this.parentPartNo = parentPartNo;
        this.parentPartName = parentPartName;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.serialNumber = serialNumber;
        this.lotNo = lotNo;
    }

    public MesProdBindRecordModel(String itemPartNo, Double qty, Integer isValid, Integer isDeleted, String organizeCode, Integer isFeed, String workCenterCode, String workCellCode, String kpSn, String parentPartNo, String serialNumber, String lotNo) {
        this.itemPartNo = itemPartNo;
        this.qty = qty;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.organizeCode = organizeCode;
        this.isFeed = isFeed;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.kpSn = kpSn;
        this.parentPartNo = parentPartNo;
        this.serialNumber = serialNumber;
        this.lotNo = lotNo;
    }
}
