package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\11\13 11:40
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_KEY_ACTION")
@Api("关键动作")
public class MesKeyAction extends BaseBean {

    @Column(name = "ACTION_CODE")
    @ApiParam("动作代码")
    private String actionCode;

    @Column(name = "ACTION_NAME")
    @ApiParam("动作名称")
    private String actionName;

    @Column(name = "ACTION_DESC")
    @ApiParam("动作描述")
    private String actionDesc;

    @Column(name = "ACTION_CLASS")
    @ApiParam("动作关联类")
    private String actionClass;
}
