package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :报废原因
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-08-08
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SCRAP")
@Api("报废原因")
public class MesScrap extends BaseBean {
    @Column(name = "SCRAP_CODE")
    @ApiParam("报废代码")
    private String scrapCode;

    @Column(name = "SCRAP_NAME")
    @ApiParam("报废名称")
    private String scrapName;

    @Column(name="SCRAP_TYPE")
    @ApiParam("报废类型")
    private String scrapType;

}
