package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description : mes同步设备安灯维修任务model
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-05-10 17:16
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("mes同步设备安灯维修任务model")
public class AndonEquRepairModel extends BaseBean {

    @ApiParam(value = "安灯队列编号")
    public String andonOrderNo;

    @ApiParam(value = "工作中心代码")
    public String workCenterCode;

    @ApiParam(value = "工作中心名称")
    public String workCenterNameRdd;

    @ApiParam(value = "工作单元名称")
    public String workCellNameRdd;

    @ApiParam(value = "工作单元代码")
    public String workCellCode;

    @ApiParam(value = "设备代码")
    public String equipmentCode;

    @ApiParam(value = "设备名称")
    public String equipmentNameRdd;

    @ApiParam(value = "安灯状态代码")
    public String statusCode;

    @ApiParam(value="解决时间",example = "2018-01-01 01:00:00")
    public String resetTime;

    @ApiParam(value = "呼叫原因代码")
    public String acCode;

    @ApiParam(value = "呼叫原因描述")
    public String acNameRdd;

    @ApiParam(value = "呼叫具体原因")
    public String acDesc;

    @ApiParam(value = "事件原因代码")
    public String ecCode;

    @ApiParam(value = "事件原因描述")
    public String ecNameRdd;

    @ApiParam(value = "事件具体原因")
    public String ecDesc;

    @ApiParam(value = "事件方法代码")
    public String emCode;

    @ApiParam(value = "事件方法描述")
    public String emNameRdd;

    @ApiParam(value = "事件具体方法")
    public String emDesc;

    @ApiParam(value = "事件现象代码")
    private String epmCode;

    @ApiParam(value = "事件现象描述")
    private String epmNameRdd;

    @ApiParam(value = "组织名称")
    private String organizeNameRdd;

}
