package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/8/19 7:00 PM
 * @Description: mes文件下载的model -> Esop
 **/

@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("FastDfs文件model")
public class FastDfsDownloadModel {

    @ApiParam("部分相对路径")
    private String dirPath;

    @ApiParam("fdfs文件路径")
    private String fdfsPath;

    @ApiParam("文件名称")
    private String fileName;

    @ApiParam("文件字节")
    private String fileByte;

    @ApiParam("文件url")
    private String url;

}
