package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\15 17:20
 * @Modify:
 **/
@Data
public class MesDatasourceModel implements Serializable {
    @ApiParam("id")
    private Long id;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("设备名称")
    private String equipmentName;

    @ApiParam("有效性")
    public Integer isValid;

    @ApiParam("是否已删除")
    public Integer isDeleted;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("数据源代码")
    private String dsCode;

    @ApiParam("数据源名称")
    private String dsName;

    @ApiParam("数据源类型")
    private String dsType;

    @ApiParam("主机")
    private String dsHost;

    @ApiParam("端口")
    private Integer dsPort;

    @ApiParam("用户名")
    private String dsUser;

    @ApiParam("密码")
    private String dsPassword;

    @ApiParam("数据库名称")
    private String dsDbName;

    public MesDatasourceModel() {

    }

    public MesDatasourceModel(Long id, String equipmentCode, String equipmentName, Integer isValid, Integer isDeleted, String createUser, String createDatetime,
                              String modifyUser, String modifyDatetime, String organizeCode, String dsCode, String dsName, String dsType,
                              String dsHost, Integer dsPort, String dsUser, String dsPassword, String dsDbName) {
        this.id = id;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.organizeCode = organizeCode;
        this.dsCode = dsCode;
        this.dsName = dsName;
        this.dsType = dsType;
        this.dsHost = dsHost;
        this.dsPort = dsPort;
        this.dsUser = dsUser;
        this.dsPassword = dsPassword;
        this.dsDbName = dsDbName;
    }

}
