package cn.estsh.i3plus.pojo.wms.dto;

import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :库存预警入参
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2019-11-07 16:06
 * @Modify:
 **/
@Data
@Api("库存预警入参")
public class QuanWarnDto extends Pager {

    @ApiParam(value = "工厂代码")
    private String organizeCode;
    @ApiParam(value = "是否选择")
    private Integer checked;
    @ApiParam(value = "物料编码")
    private String partNo;
    @ApiParam(value = "物料类型")
    private String partType;

    public Integer getChecked() {
        return checked == null? 0 : checked;
    }
}
