package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 装车单打印
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2019-12-06 15:50
 * @Modify:
 **/
@Data
public class WmsTmsShipModel {

    @ApiParam("物料编码")
    private String partNo;
    @ApiParam("物料名称")
    private String partName;
    @ApiParam("需求数量")
    private Double qty;
    @ApiParam("实际数量")
    private Double recQty;
    @ApiParam("单位")
    private String unit;

    @ApiParam("序号")
    private Integer item;

    @ApiParam("装车时间")
    private String modifyDatetime;
}
