package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.andon.model.BaseManageQueue;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-10-18-9:13
 * @Modify:
 **/
@Data
@Entity
@Table(name="ANDON_KNOWLEDGE_BASE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("ANDON知识库")
public class AndonKnowledgeBase extends BaseManageQueue {
    @Column(name = "FLOW_STATUS")
    @ApiParam(value = "审批状态")
    private Integer flowStatus;

    @Column(name = "FLOW_MEMO")
    @ApiParam(value = "审批意见")
    private String flowMemo;
}
