package cn.estsh.i3plus.pojo.aps.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description :字段传播依赖设置
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface RippleAnnotation {
    String[] dependence() default {};   // 字段依赖的路径
    String method() default ""; // 字段值计算时调用的方法，方法写在service中.
}
