package cn.estsh.i3plus.pojo.mes.pcn.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: yiming.gu
 * @CreateDate:2019-04-22-17:20
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PCN_CONNECT_LOG")
@Api("PCN节点连接日志")
public class MesPcnConnectLog extends BaseBean {
    @Column(name = "PCN_CODE")
    @ApiParam("PCN代码")
    private String pcnCode;

    @Column(name = "PCN_NAME")
    @ApiParam("PCN名称")
    private String pcnName;

    @Column(name = "PCN_VERSION")
    @ApiParam("PCN版本")
    private String pcnVersion;

    @Column(name = "CONNECT_IP")
    @ApiParam("连接IP")
    private String connectIp;

    @Column(name = "IS_CONNECT")
    @ApiParam("是否连接")
    private Integer isConnect;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String Remark;
}
