package cn.estsh.i3plus.pojo.mes.pcn.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\11\22 16:56
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_TYPE_CFG")
@Api("类型信息表")
public class MesTypeCfg extends BaseBean {

    @Column(name = "TYPE_CODE")
    @ApiParam("类型代码")
    private String typeCode;

    @Column(name = "TYPE_NAME")
    @ApiParam("类型名称")
    private String typeName;

    @Column(name = "BUSINESS_TYPE_CODE")
    @ApiParam("业务类型代码")
    private String businessTypeCode;

    @Column(name = "BUSINESS_TYPE_NAME")
    @ApiParam("业务类型名称")
    private String businessTypeName;
}
