package cn.estsh.i3plus.pojo.mes.pcn.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\24 22:04
 * @Modify:
 **/
@Data
public class MesStationBomModel {

    private Long id;
    @ApiParam("子物料编码")
    private String itemPartNo;
    @ApiParam("子物料名称")
    private String itemPartName;
    @ApiParam("产品数量")
    private Double qty;
    private Integer isValid;
    private Integer isDeleted;
    private String organizeCode;
    private Integer isFeed;
    private String workCenterCode;
    private String workCellCode;
    @ApiParam("拆解数")
    private Double dismantleQty;

    @ApiParam("产品物料编码")
    private String parentPartNo;
    @ApiParam("产品物料名称")
    private String parentPartName;
    @ApiParam("合格数")
    private Integer okQty;
    @ApiParam("缺失数")
    private Integer missQty;
    @ApiParam("报废数")
    private Integer scrapQty;

    public MesStationBomModel() {

    }

    public MesStationBomModel(Long id, String itemPartNo, String itemPartName, Double qty, Integer isValid, Integer isDeleted, String organizeCode, Integer isFeed, String workCenterCode, String workCellCode, String parentPartNo, String parentPartName) {
        this.id = id;
        this.itemPartNo = itemPartNo;
        this.itemPartName = itemPartName;
        this.qty = qty;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.organizeCode = organizeCode;
        this.isFeed = isFeed;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.parentPartNo = parentPartNo;
        this.parentPartName = parentPartName;
    }

    public MesStationBomModel(String itemPartNo, String itemPartName, Double qty, Integer isValid, Integer isDeleted, String organizeCode, Integer isFeed, String workCenterCode, String workCellCode, String parentPartNo, String parentPartName) {
        this.itemPartNo = itemPartNo;
        this.itemPartName = itemPartName;
        this.qty = qty;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.organizeCode = organizeCode;
        this.isFeed = isFeed;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.parentPartNo = parentPartNo;
        this.parentPartName = parentPartName;
    }
}
