package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\10 0010 11:53
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_FAULT_METHOD")
@Api("mes设备故障方法表")
public class MesFaultMethod extends BaseBean {

    @Column(name = "FM_CODE")
    @ApiParam("故障方法代码")
    private String fmCode;

    @Column(name = "FM_NAME")
    @ApiParam("故障方法描述")
    private String fmName;

    @Column(name = "PARENT_FM_CODE")
    @ApiParam("父阶故障代码")
    private String parentFmCode;
}
