package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\11\13 11:43
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_IF")
@Api("接口清单")
public class MesIf extends BaseBean {

    @Column(name = "IF_CODE")
    @ApiParam("接口代码")
    private String ifCode;

    @Column(name = "IF_NAME")
    @ApiParam("接口名称")
    private String ifName;

    @Column(name = "IF_CONNECT_TYPE")
    @ApiParam("交互方式")
    private String ifConnectType;

    @Column(name = "IF_CLASS")
    @ApiParam("接口实现类")
    private String ifClass;
}
