package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/8/21 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("MesPcnSyncCfg数据同步抽取条件model")
public class DataSyncExtractConditionModel implements Serializable {

    @ApiParam("字段")
    private String field;

    @ApiParam("条件")
    private String condition;

    @ApiParam("值")
    private Object value;

    @ApiParam("数据类型")
    private Integer innerType;

}
