package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\11\18 9:34
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("原材料信息model")
public class IfRawPartDataModel extends BaseBean {

    @ApiParam("id")
    private Long id;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("原料类型")
    private String partType;

    @ApiParam("原料条码")
    private String serialNumber;

    @ApiParam("数量")
    private Double qty;

    @ApiParam("单位")
    private String unit;

    @ApiParam("收货批次")
    private String srcLotNo;

    @ApiParam("生产批次")
    private String lotNo;

    @ApiParam("特殊批次")
    private String fixLotNo;

    @ApiParam("供应商代码")
    private String supplierCode;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("同步状态")
    private Integer syncStatus;

    @ApiParam("异常消息")
    private String errorMessage;

    @ApiParam("动作代码")
    private String actionCode;

    @ApiParam("接口代码")
    private String ifCode;
}
