package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Transient;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\12\13 14:33
 * @Modify:
 **/
@Data
public class MesPartObjectModel {

    private Long id;

    @ApiParam(value ="组织代码")
    private String organizeCode;

    @ApiParam(value = "创建用户")
    private String createUser;

    @ApiParam(value = "创建日期")
    private String createDatetime;

    @ApiParam(value = "修改人")
    private String modifyUser;

    @ApiParam(value = "修改日期")
    private String modifyDatetime;

    @ApiParam(value = "有效性",example = "1")
    private Integer isValid;

    @ApiParam(value = "是否已删除",example = "2")
    private Integer isDeleted;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("对象代码")
    private String objectCode;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("对象名称")
    private String objectName;

    public MesPartObjectModel() {
    }

    public MesPartObjectModel(Long id, String organizeCode, String createUser, String createDatetime, String modifyUser, String modifyDatetime, Integer isValid, Integer isDeleted, String partNo, String objectCode, String workCenterCode, String objectName) {
        this.id = id;
        this.organizeCode = organizeCode;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.partNo = partNo;
        this.objectCode = objectCode;
        this.workCenterCode = workCenterCode;
        this.objectName = objectName;
    }
}
