package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 均值极差样本数据
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-10-28
 * @Modify:
 **/
@Data
public class XrSampleModel {
    @ApiParam("样本数量")
    private int sampleCount;
    @ApiParam("样本组数")
    private int groupCount;
    @ApiParam("每组个数")
    private int preGroupCount;
    @ApiParam("A2值")
    private double a2;
    @ApiParam("D3值")
    private double d3;
    @ApiParam("D4值")
    private double d4;

    @ApiParam("均值平均数")
    private double xAver;
    @ApiParam("均值控制上限")
    private double xUcl;
    @ApiParam("均值控制下限")
    private double xLcl;
    @ApiParam("极差平均数")
    private double rAver;
    @ApiParam("极差控制上限")
    private double rUcl;
    @ApiParam("极差控制下限")
    private double rLcl;

}
