package cn.estsh.i3plus.pojo.model.lac;

import cn.estsh.i3plus.pojo.base.annotation.XStreamCDATA;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;
import java.util.List;

/**
 * @Description : lac 适配请求信息
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-10-29 15:07
 * @Modify:
 **/
@Data
@XStreamAlias("request")
public class LacSuitRequest {

    /**
     * 指令集代码
     */
    private String commandStackCode;

    /**
     * 参数集合
     */
    private List<Task> taskList;

    /**
     * 指令集代码
     */
    @XStreamCDATA
    private String paramList;

}
