package cn.estsh.i3plus.pojo.model.wms;

import lombok.Data;

/**
 * @author ealvis
 * @date 2019/12/2 14:45
 * 昆泰成品发运看板model
 */
@Data
public class WmsFinalShipmentModel {
    /*订单号*/
    private String orderNo;
    /*车牌号*/
    private String carNo;
    /*物料号*/
    private String partNo;
    /*计划数量*/
    private Double qty;
    /*已发运数量*/
    private Double pickQty;
    /*计划发货时间*/
    private String planTime;
    /*实际发运时间*/
    private String finishTime;
    /*状态*/
    private Integer orderStatus;

    public WmsFinalShipmentModel(){

    }

    public WmsFinalShipmentModel(String orderNo, String carNo, String partNo, Double qty, Double pickQty, String planTime, String finishTime, Integer orderStatus) {
        this.orderNo = orderNo;
        this.carNo = carNo;
        this.partNo = partNo;
        this.qty = qty;
        this.pickQty = pickQty;
        this.planTime = planTime;
        this.finishTime = finishTime;
        this.orderStatus = orderStatus;
    }
}
