package cn.estsh.i3plus.pojo.wms.dto;

import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.wms.bean.WmsPartPackage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description :物料包装关系入参
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2019-11-07 16:06
 * @Modify:
 **/
@Data
@Api("物料包装关系入参")
public class PartPackagDto{

    @ApiParam(value = "物料编码")
    private String partNo;
    @ApiParam(value = "工厂代码")
    private String organizeCode;
    @ApiParam(value = "包装关系列表")
    private List<WmsPartPackage> partPackages;

}
