package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Entity;

/**
 * @Description : 静态盘点输出model
 * @Reference :
 * @Author : qianhuasheng
 * @CreateDate : 2019-10-31 20:04
 * @Modify:
 **/
@Data
@Entity
@Api("静态盘点查询输出model")
public class WmsStaticCsModel extends BaseBean {
    public WmsStaticCsModel(String staticStr,String orderNo, String locateNo, String sn, double qty ) {
        this.orderNo = orderNo;
        this.locateNo = locateNo;
        this.sn = sn;
        this.qty = qty;
        this.staticStr = staticStr;
    }

    @ApiParam(value = "订单号")
    private String orderNo;
    @ApiParam(value = "库存号")
    private String locateNo;
    @ApiParam(value = "条码")
    private String sn;
    @ApiParam(value = "数量")
    private double qty;
    @ApiParam(value = "状态")
    private String staticStr;

    public WmsStaticCsModel() {

    }
}
